Skip to main content
`Ctrl`+`K`

# DMSNESSetBoundaryLocal

set a function to insert, for example, essential boundary conditions into a ghosted solution vector

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetBoundaryLocal(DM dm, PetscErrorCode (*func)(DM dm, Vec X, void *ctx), void *ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local boundary value evaluation

- ctx - optional context for local boundary value evaluation

## Calling sequence of `func`

- dm - the `DM` context

- X - ghosted solution vector, appropriate locations (such as essential boundary condition nodes) should be filled

- ctx - option context passed in `DMSNESSetBoundaryLocal()`

## See Also

SNES: Nonlinear Solvers, `DMSNESSetObjectiveLocal()`, `DMSNESSetFunctionLocal()`, `DMSNESSetJacobianLocal()`

## Level

advanced

## Location

src/snes/utils/dmlocalsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages